%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  ecopower
%global packver   0.2.0
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          0.2.0
Release:          1%{?dist}%{?buildtag}
Summary:          Power Estimates and Equivalence Testing for Multivariate Data

License:          LGPL (>= 2.1)
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel >= 3.5.0
Requires:         R-core >= 3.5.0
BuildArch:        noarch
BuildRequires:    R-parallel 
BuildRequires:    R-CRAN-mvabund 
BuildRequires:    R-CRAN-ecoCopula 
BuildRequires:    R-stats 
Requires:         R-parallel 
Requires:         R-CRAN-mvabund 
Requires:         R-CRAN-ecoCopula 
Requires:         R-stats 

%description
Estimates power by simulation for multivariate abundance data to be used
for sample size estimates. Multivariate equivalence testing by simulation
from a Gaussian copula model. The package also provides functions for
parameterising multivariate effect sizes and simulating multivariate
abundance data jointly. The discrete Gaussian copula approach is described
in Popovic et al. (2018) <doi:10.1016/j.jmva.2017.12.002>.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
